Bug 468197 - Review Request: v4l2ucp - Video4linux universal control panel
Review Request: v4l2ucp - Video4linux universal control panel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Stanley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 11:06 EDT by Hans de Goede
Modified: 2008-10-24 05:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 05:42:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jonstanley: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-10-23 11:06:16 EDT
Spec URL: http://people.atrpms.net/~hdegoede/v4l2ucp.spec
SRPM URL: http://people.atrpms.net/~hdegoede/v4l2ucp-1.2-1.fc9.src.rpm
Description:
v4l2 is a control panel for video4linux2 devices, it reads a description of the
controls that the V4L2 device supports from the device, and presents the user
with a graphical means for adjusting those controls. It allows for controlling
multiple devices. Controls can be updated with the device status either
manually, or periodically and there is an easy way to reset one or all the
controls to their default state.
Comment 1 Hans de Goede 2008-10-23 11:33:01 EDT
New version with minor fixes:

* Thu Oct 23 2008 Hans de Goede <hdegoede@redhat.com> 1.2-2
- Fix the rpm group
- Add a comment about the source of the icon we're using

Spec URL: http://people.atrpms.net/~hdegoede/v4l2ucp.spec
SRPM URL: http://people.atrpms.net/~hdegoede/v4l2ucp-1.2-2.fc9.src.rpm
Comment 2 Jon Stanley 2008-10-23 11:33:28 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:

N/A - Package needs ExcludeArch
OK - BuildRequires correct
N/A - Spec handles locales/find_lang
N/A - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
N/A - Doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.

N/A - Headers/static libs in -devel subpackage.
N/A - Spec has needed ldconfig in post and postun
N/A - .pc files in -devel subpackage/requires pkgconfig
N/A - .so files in -devel subpackage.
N/A - -devel package Requires: %{name} = %{version}-%{release}
N/A - .la files are removed.

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
N/A - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
N/A - Should function as described.
OK - Should have sane scriptlets.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
N/A - check for outstanding bugs on package. (For core merge reviews)

As noted on IRC, the category in the spec is a little off, but not a blocker.

APPROVED.
Comment 3 Hans de Goede 2008-10-23 12:25:47 EDT
New Package CVS Request
=======================
Package Name: v4l2ucp
Short Description: Video4linux universal control panel
Owners: jwrdegoede
Branches: F-9
InitialCC:
Comment 4 Kevin Fenzi 2008-10-23 15:59:27 EDT
cvs done.
Comment 5 Hans de Goede 2008-10-24 05:42:07 EDT
Thanks for the review and for CVS.

Imported and Build, closing.

Note You need to log in before you can comment on or make changes to this bug.